Bug 798342 - aeolus-configure does not work properly in kickstart
aeolus-configure does not work properly in kickstart
Status: CLOSED NOTABUG
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-configure (Show other bugs)
1.0.0
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Mike Orazi
wes hayutin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 12:06 EST by Forrest Taylor
Modified: 2012-05-01 11:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-01 20:44:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Forrest Taylor 2012-02-28 12:06:09 EST
I have a repository configured for my kickstart installation, and I install aeolus-all.  In %post, I run `aeolus-configure -p ec2`.

First, the output from the command shows:

Launching aeolus configuration recipe...
tr: write error: Broken pipe
tr: write error
...

Everything else seems to have installed correctly.  When I choose a Cloud Resource Provider (I chose ec2-us-east-1) and attempt to associate an account with this provider, I get the following error:

Errors
Cannot add the provider account.
Errors

    * 1 error prohibited this record from being saved:
    Failed to populate cloud resource profiles: PGError: ERROR: duplicate
    key value violates unique constraint "hardware_profiles_pkey" :
    INSERT INTO "hardware_profiles" ("external_key", "cpu_id",
    "provider_id", "updated_at", "architecture_id", "created_at",
    "storage_id", "lock_version", "memory_id", "name") VALUES
    ('t1.micro', 37, 3, '2012-02-28 16:06:39.235836', 38, '2012-02-28
    16:06:39.235836', 36, 0, 35, 't1.micro') RETURNING "id"

It leaves me at the account screen.  When I fill in the values again (exactly as before), it creates the account just fine.

In /var/log/aeolus-conductor/rails.log:
  ^[[1m^[[35mSQL (1.1ms)^[[0m  INSERT INTO "hardware_profiles" ("external_key", "cpu_id", "provider_id", "updated_at", "architecture_id", "created_at", "storage_id", "lock_version", "memory_id", "name") VALUES ('t1.micro', 37, 3, '2012-02-28 16:06:39.235836', 38, '2012-02-28 16:06:39.235836', 36, 0, 35, 't1.micro') RETURNING "id"
PGError: ERROR:  duplicate key value violates unique constraint "hardware_profiles_pkey"
: INSERT INTO "hardware_profiles" ("external_key", "cpu_id", "provider_id", "updated_at", "architecture_id", "created_at", "storage_id", "lock_version", "memory_id", "name") VALUES ('t1.micro', 37, 3, '2012-02-28 16:06:39.235836', 38, '2012-02-28 16:06:39.235836', 36, 0, 35, 't1.micro') RETURNING "id"
  ^[[1m^[[36mSQL (0.2ms)^[[0m  ^[[1mROLLBACK^[[0m

I got a very similar issue with System Engine when running katello-configure during kickstart.
https://bugzilla.redhat.com/show_bug.cgi?id=795454#c8
Comment 1 Forrest Taylor 2012-03-01 20:36:51 EST
I still get the same error with the 2012-03-01.1 drop:

aeolus-all-0.8.0-39.el6.noarch
Comment 2 wes hayutin 2012-03-01 20:44:32 EST
not a supported way to install

Note You need to log in before you can comment on or make changes to this bug.